#-------------------------------------------------
#
# Project created by QtCreator 2016-04-06T20:45:20
#
#-------------------------------------------------

QT       += widgets sql

TARGET = shop
TEMPLATE = lib

DEFINES += SHOP_LIBRARY\
        _GLIBCXX_USE_CXX11_ABI=1

SOURCES += shop.cpp \
    data/voucher.cpp \
    shopform.cpp \
    directsaleform.cpp \
    temporaryreceiptsaveform.cpp \
    receiptsaveform.cpp \
    receiptloadform.cpp \
    data/voucheritem.cpp \
    shopservice.cpp \
    directsaleitem.cpp \
    receiptgenerator.cpp \
    settings/shopsettings.cpp \
    settings/shopsettingsform.cpp \
    paydialog.cpp \
    paydvouchersdialog.cpp \
    shopitem.cpp \
    isellableservice.cpp \
    data/favorititem.cpp \
    settings/favoriteservice.cpp \
    eetbatchdialog.cpp

HEADERS += shop.h\
        shop_global.h \
    data/voucher.h \
    shopform.h \
    directsaleform.h \
    temporaryreceiptsaveform.h \
    receiptsaveform.h \
    receiptloadform.h \
    ishopitem.h \
    data/voucheritem.h \
    data/shop-data.h \
    isellableservice.h \
    shopservice.h \
    directsaleitem.h \
    receiptgenerator.h \
    settings/shopsettings.h \
    settings/shopsettingsform.h \
    paydialog.h \
    paydvouchersdialog.h \
    shopitem.h \
    data/favorititem.h \
    settings/favoriteservice.h \
    eetbatchdialog.h

unix {
    target.path = /usr/lib
    INSTALLS += target
    QMAKE_CXXFLAGS += -std=c++11
    QMAKE_CXXFLAGS += -Wno-unknown-pragmas
}

win32 {
    QMAKE_CXXFLAGS += -wd4995 -wd4068
}

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../core/release/ -lcore
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../core/debug/ -lcore
else:unix: LIBS += -L$$OUT_PWD/../core/ -lcore

INCLUDEPATH += $$PWD/../core
DEPENDPATH += $$PWD/../core

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../plugins/ -laddressbook
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../plugins/ -laddressbook
else:unix: LIBS += -L$$OUT_PWD/../plugins/ -laddressbook

INCLUDEPATH += $$PWD/../addressbook/data
INCLUDEPATH += $$PWD/../addressbook
INCLUDEPATH += $$PWD/
DEPENDPATH += $$PWD/../addressbook

DESTDIR = ../plugins

OTHER_FILES += shop.json

ODB_FILES = shop/data/shop-data.h
H_DIR = $$PWD/data/*.h
ODB_OTHER_INCLUDES = -I $$PWD/../addressbook/data -I $$PWD/
include(../odb.pri)

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../qdecimal/lib/ -lqdecimal -ldecnumber
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../qdecimal/lib/ -lqdecimal -ldecnumber
else:unix: LIBS += -L$$OUT_PWD/../qdecimal/lib/ -lqdecimal -ldecnumber

INCLUDEPATH += $$PWD/../qdecimal/src
INCLUDEPATH += $$PWD/../qdecimal/decnumber
DEPENDPATH += $$PWD/../qdecimal/src

RESOURCES += \
    shoprc.qrc

FORMS += \
    shopform.ui \
    directsaleform.ui \
    temporaryreceiptsaveform.ui \
    receiptsaveform.ui \
    receiptloadform.ui \
    settings/shopsettingsform.ui \
    paydialog.ui \
    paydvouchersdialog.ui \
    eetbatchdialog.ui

TRANSLATIONS = translations/shop_cs_CZ.ts

unix|win32: LIBS += -L$$PWD/../../build-EetCpp-Desktop-Debug/libEet -lEetCpp

INCLUDEPATH += $$PWD/../../EetCpp/libEet
DEPENDPATH += $$PWD/../../EetCpp/libEet
